For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
  • Overview
    • Quick Start
    • Sandboxes
    • Tools & SDKs
    • Support
  • Docs
    • Archive
        • V2 API
              • PUTUpdate A Company User
              • GETGet Company Users
              • POSTCreate A Company User
              • PUTUpdate Company User
              • POSTBulk Create Company User
              • GETGet A Company User
              • DELDelete A Company User
    • Closed Beta Programs
Dev Portal
LogoLogo
ArchiveB2B EditionV2 APIUser

Update A Company User

Deprecated
PUT
https://api-b2b.bigcommerce.com/api/v2/io/companies/:companyId/user/:userId
PUT
/api/v2/io/companies/:companyId/user/:userId
$curl -X PUT https://api-b2b.bigcommerce.com/api/v2/io/companies/companyId/user/userId \
> -H "authToken: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Updated
1{
2 "code": 200,
3 "data": {
4 "customerId": 12345,
5 "userId": 67890
6 },
7 "message": "Company user information updated successfully."
8}
Update a company user info
Was this page helpful?
Previous

Get Companies & Sales reps

Next

Get Company Users

Built with

Authentication

authTokenstring
API Key authentication via header

Path parameters

companyIdstringRequired
userIdstringRequired

Headers

authTokenstringRequired
Auth token in header

Request

Extra Field Values
firstNamestringOptional
lastNamestringOptional
phonestringOptional
emailstringOptional
uuidstringOptional
userRolestringOptional
acceptWelcomeEmailstringOptional
channelIdslist of integersOptional
BigCommerce channel id list.
companyRoleIdintegerOptional
The company role id. This field is only applicable to the company's RBAC feature. If your store doesn't utilize this feature, please do not use this field. When it has a value, it will override the value of the userRole field.
extraFieldslist of objectsOptional

Response

codedouble
Response status code
dataobject
Response data
messagestring
Response message